<?php

namespace App\Policies;

use App\Models\PlayerProfile;
use App\Models\User;

class PlayerProfilePolicy
{
    public function view(?User $user, PlayerProfile $profile): bool
    {
        return true;
    }

    public function update(User $user, PlayerProfile $profile): bool
    {
        return $profile->user_id === $user->id;
    }
}
